Bug 436089 - net install crashes if no ftp:// or http:// precised in the server URL
net install crashes if no ftp:// or http:// precised in the server URL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 06:49 EST by Dag
Modified: 2008-03-20 10:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 10:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag 2008-03-05 06:49:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
when starting the F9-Alpha rescueCD then choose either GUI install or text install:
after choosing install method "URL", at the next screen (incorrectly named "configuration NFS"), if you enter directly an URL without the "http://" or "ftp://" it crashes.

Version-Release number of selected component (if applicable):
Fedora 9-Alpha rescueCD

How reproducible:
Always


Steps to Reproduce:
1. run the Fedora9-Alpha rescue CD at boot
2. choose either install in graphical or install in text mode
3. when asked for a method, choose URL
4. enter an URL without FTP:// or HTTP://
5. validate and it will instantly crash then ask to reboot.

Actual Results:
it crashes, unmounts everything and says "you can safely reboot".

Expected Results:
it could have asked the user to put ftp:// or http:// at the beginning of the URL

Additional info:
the screen to enter the URL is incorrectly named "configuration NFS"
Comment 1 Jeremy Katz 2008-03-05 14:39:52 EST
Fixed in git
Comment 2 Dag 2008-03-17 05:12:47 EDT
ok, do I have to test it so it can be marked as closed?

Note You need to log in before you can comment on or make changes to this bug.